Get Logs
curl --request GET \
--url https://api.example.com/cabinet/admin/promo-offers/logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/cabinet/admin/promo-offers/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/cabinet/admin/promo-offers/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": 123,
"action": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"user_id": 123,
"offer_id": 123,
"source": "<string>",
"percent": 123,
"effect_type": "<string>",
"details": {},
"user": {
"id": 123,
"telegram_id": 123,
"email": "<string>",
"username": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>"
},
"offer": {
"id": 123,
"notification_type": "<string>",
"discount_percent": 123,
"bonus_amount_kopeks": 123,
"effect_type": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"claimed_at": "2023-11-07T05:31:56Z",
"is_active": true
}
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Admin Promo Offers
Get Logs
Get promo offer logs.
GET
/
cabinet
/
admin
/
promo-offers
/
logs
Get Logs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 200Required range:
x >= 0Required range:
x >= 1Minimum string length:
1⌘I
